package net.northking.cctp.element.collections.enums;

import com.alibaba.fastjson.JSON;
import net.northking.cctp.element.core.type.EnumClass;

import java.util.*;

/**
 * TypeConversionEnum
 *
 * @author fengxiang.zhang
 * @since 1.0
 */
public enum TypeConversionRemoveEnum implements EnumClass {
    removeByIndex("通过list下标删除", "0"),
    removeByValue("通过值删除", "1"),
    ;

    private String key;
    private String value;

    TypeConversionRemoveEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static TypeConversionRemoveEnum from(String value) {
        for (TypeConversionRemoveEnum item : TypeConversionRemoveEnum.values()) {
            if (item.value.equals(value)) {
                return item;
            }
        }
        throw new IllegalArgumentException("未知的转换类型:" + value);
    }

    @Override
    public String getEnumData() {
        List<Map<String, Object>> result = new ArrayList<>();
        for (TypeConversionRemoveEnum item : EnumSet.allOf(TypeConversionRemoveEnum.class)) {
            Map<String, Object> one = new HashMap(1);
            one.put("label", item.key);
            one.put("value", item.value);
            result.add(one);
        }
        return JSON.toJSONString(result);
    }
}
